node-red-node-namevalue
======================

A <a href="http://nodered.org" target="_new">Node-RED</a> node to convert a string of name, value pairs to a Javascript object.

Install
-------

Either use the `Node-RED Menu - Manage Palette - Install`, or run the following command in your Node-RED user directory - typically `~/.node-red`

    npm install node-red-node-namevalue

Usage
-----

If the input is a string it tries to convert it into a Javascript object splitting the pairs of data as per the specified separators.

If the input is an object it tries to convert it into a name/value string using the specified separators.

For example

    foo=bar,a=b,y=zed   will become   {"foo":"bar", "a":"b", "y":"zed"}
    {"foo":"bar", "a":"b", "y":"zed"}   will become   foo=bar,a=b,y=zed
